Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation.messaging
Class AggregationTimeoutMessage

    java.lang.Object
      rice.p2p.aggregation.messaging.AggregationMessage
          rice.p2p.aggregation.messaging.AggregationTimeoutMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class AggregationTimeoutMessage
extends AggregationMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.p2p.aggregation.messaging.AggregationMessage
`dest, id, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`AggregationTimeoutMessage(int uid, NodeHandle local)` Constructor for AggregationTimeoutMessage.

Method Summary
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.aggregation.messaging.AggregationMessage
`getDestination, getPriority, getSource, getUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregationTimeoutMessage

    public AggregationTimeoutMessage(int uid,
                                     NodeHandle local)

  Constructor for AggregationTimeoutMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `local` - DESCRIBE THE PARAMETER

Method Detail

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.